GetConfiguration
Retrieve configuration details for specified name.
Request Syntax
GET /configuration/name HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- name
-
Configuration name to retrieve.
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[A-Za-z0-9][A-Za-z0-9\-\._]*Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"arn": "string",
"creationTime": "string",
"description": "string",
"name": "string",
"runConfigurations": {
"vpcConfig": {
"securityGroupIds": [ "string" ],
"subnetIds": [ "string" ],
"vpcId": "string"
}
},
"status": "string",
"tags": {
"string" : "string"
},
"uuid": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- arn
-
Unique resource identifier for the configuration.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 190.
Pattern:
arn:.+ - creationTime
-
Configuration creation timestamp.
Type: Timestamp
- description
-
Description for the configuration.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+ - name
-
User-friendly name for the configuration.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[A-Za-z0-9][A-Za-z0-9\-\._]* - runConfigurations
-
Run-specific configurations.
Type: RunConfigurationsResponse object
- status
-
Current configuration status.
Type: String
Valid Values:
CREATING | ACTIVE | UPDATING | DELETING | DELETED | FAILED -
Tags for the configuration.
Type: String to string map
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Value Length Constraints: Minimum length of 0. Maximum length of 256.
- uuid
-
Unique identifier for the configuration.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[\p{L}||\p{M}||\p{Z}||\p{S}||\p{N}||\p{P}]+
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request cannot be applied to the target resource in its current state.
HTTP Status Code: 409
- InternalServerException
-
An unexpected error occurred. Try the request again.
HTTP Status Code: 500
- RequestTimeoutException
-
The request timed out.
HTTP Status Code: 408
- ResourceNotFoundException
-
The target resource was not found in the current Region.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The request exceeds a service quota.
HTTP Status Code: 402
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by an AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: